<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="9532" systemVersion="15C50" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" initialViewController="vHy-hM-mcV">
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="9530"/>
        <capability name="Constraints to layout margins" minToolsVersion="6.0"/>
    </dependencies>
    <scenes>
        <!--Your Goats-->
        <scene sceneID="1EU-RQ-YAY">
            <objects>
                <tableViewController id="rXd-iD-2YQ" customClass="TableViewController" customModule="Goats2" customModuleProvider="target" sceneMemberID="viewController">
                    <tableView key="view" clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" dataMode="prototypes" style="plain" separatorStyle="default" rowHeight="38" sectionHeaderHeight="28" sectionFooterHeight="28" id="6U8-sY-sDI">
                        <rect key="frame" x="0.0" y="0.0" width="600" height="600"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                        <prototypes>
                            <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" selectionStyle="default" indentationWidth="10" reuseIdentifier="GoatCellView" rowHeight="38" id="M2M-4E-hv9" customClass="GoatCellView" customModule="Goats2" customModuleProvider="target">
                                <rect key="frame" x="0.0" y="92" width="600" height="38"/>
                                <autoresizingMask key="autoresizingMask"/>
                                <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" tableViewCell="M2M-4E-hv9" id="faw-j7-QJ9">
                                    <rect key="frame" x="0.0" y="0.0" width="600" height="37"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <subviews>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" misplaced="YES" text="Label" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Eu1-Qs-lGN">
                                            <rect key="frame" x="8" y="0.0" width="494" height="38"/>
                                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                            <color key="textColor" red="0.0" green="0.0" blue="0.0" alpha="1" colorSpace="calibratedRGB"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" misplaced="YES" text="Label" textAlignment="right" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Zqd-OM-3Dv">
                                            <rect key="frame" x="510" y="0.0" width="82" height="38"/>
                                            <constraints>
                                                <constraint firstAttribute="width" constant="82" id="iaZ-3P-Oj8"/>
                                            </constraints>
                                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                            <color key="textColor" white="0.5" alpha="1" colorSpace="custom" customColorSpace="calibratedWhite"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                    </subviews>
                                    <constraints>
                                        <constraint firstItem="Eu1-Qs-lGN" firstAttribute="top" secondItem="faw-j7-QJ9" secondAttribute="topMargin" constant="-8" id="2Ku-9j-qZX"/>
                                        <constraint firstItem="Zqd-OM-3Dv" firstAttribute="leading" secondItem="Eu1-Qs-lGN" secondAttribute="trailing" constant="8" id="2M6-e5-ckT"/>
                                        <constraint firstItem="Zqd-OM-3Dv" firstAttribute="top" secondItem="faw-j7-QJ9" secondAttribute="topMargin" constant="-8" id="7Zk-No-Dgw"/>
                                        <constraint firstAttribute="trailingMargin" secondItem="Zqd-OM-3Dv" secondAttribute="trailing" id="EPD-MD-1QD"/>
                                        <constraint firstAttribute="bottomMargin" secondItem="Eu1-Qs-lGN" secondAttribute="bottom" constant="-8" id="Lb7-7S-EIj"/>
                                        <constraint firstItem="Eu1-Qs-lGN" firstAttribute="leading" secondItem="faw-j7-QJ9" secondAttribute="leadingMargin" id="blP-yC-p1G"/>
                                        <constraint firstAttribute="bottomMargin" secondItem="Zqd-OM-3Dv" secondAttribute="bottom" constant="-8" id="q24-Es-ccT"/>
                                    </constraints>
                                </tableViewCellContentView>
                                <connections>
                                    <outlet property="ageLabel" destination="Zqd-OM-3Dv" id="LHy-RU-ila"/>
                                    <outlet property="nameLabel" destination="Eu1-Qs-lGN" id="OJ4-X5-sy2"/>
                                    <segue destination="BYZ-38-t0r" kind="show" identifier="showDetail" id="IT2-Q2-tme"/>
                                </connections>
                            </tableViewCell>
                        </prototypes>
                        <connections>
                            <outlet property="dataSource" destination="rXd-iD-2YQ" id="iP1-qW-1n5"/>
                            <outlet property="delegate" destination="rXd-iD-2YQ" id="Q4L-sy-azY"/>
                        </connections>
                    </tableView>
                    <navigationItem key="navigationItem" title="Your Goats" id="Xo5-xm-TnZ">
                        <barButtonItem key="rightBarButtonItem" systemItem="add" id="iKF-sW-mBL">
                            <connections>
                                <segue destination="BYZ-38-t0r" kind="show" id="n7g-gK-PiA"/>
                            </connections>
                        </barButtonItem>
                    </navigationItem>
                </tableViewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="iIN-Nh-TQt" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="402" y="315"/>
        </scene>
        <!--New Goat-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController id="BYZ-38-t0r" customClass="ViewController" customModule="Goats2" customModuleProvider="target" sceneMemberID="viewController">
                    <layoutGuides>
                        <viewControllerLayoutGuide type="top" id="y3c-jy-aDJ"/>
                        <viewControllerLayoutGuide type="bottom" id="wfy-db-euE"/>
                    </layoutGuides>
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="600" height="600"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="4" translatesAutoresizingMaskIntoConstraints="NO" id="N9I-b6-ZRL">
                                <rect key="frame" x="30" y="74" width="540" height="64"/>
                                <subviews>
                                    <stackView opaque="NO" contentMode="scaleToFill" spacing="4" translatesAutoresizingMaskIntoConstraints="NO" id="pHG-GN-akn">
                                        <rect key="frame" x="0.0" y="0.0" width="540" height="30"/>
                                        <subviews>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Name:" textAlignment="right" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="FyC-vp-QYw">
                                                <rect key="frame" x="0.0" y="0.0" width="50" height="30"/>
                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                <color key="textColor" red="0.0" green="0.0" blue="0.0" alpha="1" colorSpace="calibratedRGB"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                            <textField opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="cMR-br-yHl">
                                                <rect key="frame" x="54" y="0.0" width="486" height="30"/>
                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                <textInputTraits key="textInputTraits" enablesReturnKeyAutomatically="YES"/>
                                            </textField>
                                        </subviews>
                                    </stackView>
                                    <stackView opaque="NO" contentMode="scaleToFill" spacing="4" translatesAutoresizingMaskIntoConstraints="NO" id="7AR-2y-VHR">
                                        <rect key="frame" x="0.0" y="34" width="540" height="30"/>
                                        <subviews>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Age:" textAlignment="right" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="4a0-Qn-bRx">
                                                <rect key="frame" x="0.0" y="0.0" width="50" height="30"/>
                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                <color key="textColor" red="0.0" green="0.0" blue="0.0" alpha="1" colorSpace="calibratedRGB"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                            <textField opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="uzK-9Q-RF8">
                                                <rect key="frame" x="54" y="0.0" width="486" height="30"/>
                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                <textInputTraits key="textInputTraits" keyboardType="numberPad" enablesReturnKeyAutomatically="YES"/>
                                            </textField>
                                        </subviews>
                                    </stackView>
                                </subviews>
                                <constraints>
                                    <constraint firstItem="4a0-Qn-bRx" firstAttribute="trailing" secondItem="FyC-vp-QYw" secondAttribute="trailing" id="E8e-G2-uBB"/>
                                    <constraint firstItem="uzK-9Q-RF8" firstAttribute="width" secondItem="cMR-br-yHl" secondAttribute="width" id="ill-tz-wP8"/>
                                </constraints>
                            </stackView>
                            <button opaque="NO" contentMode="scaleToFill" misplaced="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Mbn-As-Tpn">
                                <rect key="frame" x="20" y="550" width="560" height="30"/>
                                <state key="normal" title="Save"/>
                                <connections>
                                    <action selector="doneButtonClicked:" destination="BYZ-38-t0r" eventType="touchUpInside" id="r2R-Ef-RAl"/>
                                </connections>
                            </button>
                        </subviews>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="calibratedWhite"/>
                        <constraints>
                            <constraint firstItem="Mbn-As-Tpn" firstAttribute="leading" secondItem="8bC-Xf-vdC" secondAttribute="leadingMargin" id="Pzh-4l-5V9"/>
                            <constraint firstAttribute="trailingMargin" secondItem="N9I-b6-ZRL" secondAttribute="trailing" constant="10" id="WOt-wx-N1l"/>
                            <constraint firstItem="Mbn-As-Tpn" firstAttribute="trailing" secondItem="8bC-Xf-vdC" secondAttribute="trailingMargin" id="Zfn-G9-YpD"/>
                            <constraint firstItem="wfy-db-euE" firstAttribute="top" secondItem="Mbn-As-Tpn" secondAttribute="bottom" constant="20" id="cld-3s-rag"/>
                            <constraint firstItem="N9I-b6-ZRL" firstAttribute="top" secondItem="y3c-jy-aDJ" secondAttribute="bottom" constant="10" id="yO3-G7-u62"/>
                            <constraint firstItem="N9I-b6-ZRL" firstAttribute="leading" secondItem="8bC-Xf-vdC" secondAttribute="leadingMargin" constant="10" id="z5s-L2-ySV"/>
                        </constraints>
                    </view>
                    <navigationItem key="navigationItem" title="New Goat" id="1Df-e2-cca">
                        <barButtonItem key="leftBarButtonItem" title="Cancel" id="Fht-K3-cmM">
                            <connections>
                                <action selector="cancelButtonClicked:" destination="BYZ-38-t0r" id="lTt-iq-Gor"/>
                            </connections>
                        </barButtonItem>
                    </navigationItem>
                    <connections>
                        <outlet property="ageTextField" destination="uzK-9Q-RF8" id="1Mt-jM-NTK"/>
                        <outlet property="doneButton" destination="Mbn-As-Tpn" id="BeN-l7-cC0"/>
                        <outlet property="nameTextField" destination="cMR-br-yHl" id="cYz-7t-m2w"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1080" y="315"/>
        </scene>
        <!--Table-->
        <scene sceneID="uAI-VZ-4c6">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="IoL-Mb-2nH" sceneMemberID="viewController">
                    <tabBarItem key="tabBarItem" title="Table" id="ShD-J9-p55"/>
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" id="ZTT-6N-1dY">
                        <rect key="frame" x="0.0" y="0.0" width="320" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="rXd-iD-2YQ" kind="relationship" relationship="rootViewController" id="M0W-aP-ATe"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="QYB-8Q-92a" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-278" y="315"/>
        </scene>
        <!--Tab Bar Controller-->
        <scene sceneID="Qgy-m9-3dv">
            <objects>
                <tabBarController id="vHy-hM-mcV" sceneMemberID="viewController">
                    <tabBar key="tabBar" contentMode="scaleToFill" id="IHT-M5-vHk">
                        <rect key="frame" x="0.0" y="0.0" width="320" height="49"/>
                        <autoresizingMask key="autoresizingMask"/>
                        <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="calibratedWhite"/>
                    </tabBar>
                    <connections>
                        <segue destination="IoL-Mb-2nH" kind="relationship" relationship="viewControllers" id="ewh-8x-zZJ"/>
                        <segue destination="dfm-2I-1xf" kind="relationship" relationship="viewControllers" id="m3f-dA-LTc"/>
                    </connections>
                </tabBarController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="iS8-es-hGg" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-1088" y="635"/>
        </scene>
        <!--Map-->
        <scene sceneID="wPw-qv-jWQ">
            <objects>
                <viewController id="dfm-2I-1xf" customClass="MapViewController" customModule="Goats2" customModuleProvider="target" sceneMemberID="viewController">
                    <layoutGuides>
                        <viewControllerLayoutGuide type="top" id="9hH-hA-ldl"/>
                        <viewControllerLayoutGuide type="bottom" id="HQO-Nc-opc"/>
                    </layoutGuides>
                    <view key="view" contentMode="scaleToFill" id="6rv-0s-3Ye">
                        <rect key="frame" x="0.0" y="0.0" width="600" height="600"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <mapView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" misplaced="YES" mapType="standard" translatesAutoresizingMaskIntoConstraints="NO" id="c9A-L2-aoh" customClass="RealmMapView" customModule="RealmMapView">
                                <rect key="frame" x="0.0" y="20" width="600" height="580"/>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="string" keyPath="entityName" value="Goat"/>
                                    <userDefinedRuntimeAttribute type="string" keyPath="latitudeKeyPath" value="latitude"/>
                                    <userDefinedRuntimeAttribute type="string" keyPath="longitudeKeyPath" value="longitude"/>
                                    <userDefinedRuntimeAttribute type="string" keyPath="titleKeyPath" value="name"/>
                                </userDefinedRuntimeAttributes>
                            </mapView>
                        </subviews>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                        <constraints>
                            <constraint firstItem="HQO-Nc-opc" firstAttribute="top" secondItem="c9A-L2-aoh" secondAttribute="bottom" id="9vX-WY-sXn"/>
                            <constraint firstItem="c9A-L2-aoh" firstAttribute="leading" secondItem="6rv-0s-3Ye" secondAttribute="leadingMargin" constant="-20" id="Hzo-Gg-DnT"/>
                            <constraint firstAttribute="trailingMargin" secondItem="c9A-L2-aoh" secondAttribute="trailing" constant="-20" id="SuU-8b-50w"/>
                            <constraint firstItem="c9A-L2-aoh" firstAttribute="top" secondItem="9hH-hA-ldl" secondAttribute="bottom" id="tPO-oY-dLr"/>
                        </constraints>
                    </view>
                    <tabBarItem key="tabBarItem" title="Map" id="MOt-24-x28"/>
                    <connections>
                        <outlet property="mapView" destination="c9A-L2-aoh" id="G99-Jv-boc"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="Gtz-c0-mYB" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-278" y="980"/>
        </scene>
    </scenes>
    <inferredMetricsTieBreakers>
        <segue reference="IT2-Q2-tme"/>
    </inferredMetricsTieBreakers>
</document>
